/*
 * MLConstantGlue.h
 * /Applications/Mail.app
 * osaglue 0.5.1
 *
 */

#import <Foundation/Foundation.h>
#import "Appscript/Appscript.h"

@interface MLConstant : ASConstant
+ (id)constantWithCode:(OSType)code_;

/* Enumerators */

+ (MLConstant *)Mac;
+ (MLConstant *)all;
+ (MLConstant *)allMessagesAndTheirAttachments;
+ (MLConstant *)allMessagesButOmitAttachments;
+ (MLConstant *)anyRecipient;
+ (MLConstant *)apop;
+ (MLConstant *)applicationResponses;
+ (MLConstant *)ask;
+ (MLConstant *)attachmentsColumn;
+ (MLConstant *)base;
+ (MLConstant *)beginsWithValue;
+ (MLConstant *)blue;
+ (MLConstant *)buddyAvailabilityColumn;
+ (MLConstant *)case_;
+ (MLConstant *)ccHeader;
+ (MLConstant *)custom;
+ (MLConstant *)dateReceivedColumn;
+ (MLConstant *)dateSentColumn;
+ (MLConstant *)default_;
+ (MLConstant *)detailed;
+ (MLConstant *)diacriticals;
+ (MLConstant *)doNotKeepCopiesOfAnyMessages;
+ (MLConstant *)doesContainValue;
+ (MLConstant *)doesNotContainValue;
+ (MLConstant *)endsWithValue;
+ (MLConstant *)equalToValue;
+ (MLConstant *)expansion;
+ (MLConstant *)flagsColumn;
+ (MLConstant *)fromColumn;
+ (MLConstant *)fromHeader;
+ (MLConstant *)gray;
+ (MLConstant *)greaterThanValue;
+ (MLConstant *)green;
+ (MLConstant *)headerKey;
+ (MLConstant *)hyphens;
+ (MLConstant *)imap;
+ (MLConstant *)kerberos5;
+ (MLConstant *)lessThanValue;
+ (MLConstant *)mailboxColumn;
+ (MLConstant *)matchesEveryMessage;
+ (MLConstant *)md5;
+ (MLConstant *)messageColor;
+ (MLConstant *)messageContent;
+ (MLConstant *)messageIsJunkMail;
+ (MLConstant *)messageStatusColumn;
+ (MLConstant *)no;
+ (MLConstant *)noHeaders;
+ (MLConstant *)none;
+ (MLConstant *)ntlm;
+ (MLConstant *)numberColumn;
+ (MLConstant *)numericStrings;
+ (MLConstant *)oneLevel;
+ (MLConstant *)onlyMessagesIHaveRead;
+ (MLConstant *)orange;
+ (MLConstant *)other;
+ (MLConstant *)password;
+ (MLConstant *)plainText;
+ (MLConstant *)pop;
+ (MLConstant *)punctuation;
+ (MLConstant *)purple;
+ (MLConstant *)red;
+ (MLConstant *)richText;
+ (MLConstant *)senderIsInMyAddressBook;
+ (MLConstant *)senderIsMemberOfGroup;
+ (MLConstant *)senderIsNotInMyAddressBook;
+ (MLConstant *)senderIsNotMemberOfGroup;
+ (MLConstant *)sizeColumn;
+ (MLConstant *)smtp;
+ (MLConstant *)standard;
+ (MLConstant *)subjectColumn;
+ (MLConstant *)subjectHeader;
+ (MLConstant *)subtree;
+ (MLConstant *)toColumn;
+ (MLConstant *)toHeader;
+ (MLConstant *)toOrCcHeader;
+ (MLConstant *)whitespace;
+ (MLConstant *)yellow;
+ (MLConstant *)yes;

/* Types and properties */

+ (MLConstant *)April;
+ (MLConstant *)August;
+ (MLConstant *)December;
+ (MLConstant *)EPSPicture;
+ (MLConstant *)February;
+ (MLConstant *)Friday;
+ (MLConstant *)GIFPicture;
+ (MLConstant *)JPEGPicture;
+ (MLConstant *)January;
+ (MLConstant *)July;
+ (MLConstant *)June;
+ (MLConstant *)MIMEType;
+ (MLConstant *)MacAccount;
+ (MLConstant *)March;
+ (MLConstant *)May;
+ (MLConstant *)Monday;
+ (MLConstant *)November;
+ (MLConstant *)October;
+ (MLConstant *)PICTPicture;
+ (MLConstant *)RGB16Color;
+ (MLConstant *)RGB96Color;
+ (MLConstant *)RGBColor;
+ (MLConstant *)Saturday;
+ (MLConstant *)September;
+ (MLConstant *)Sunday;
+ (MLConstant *)TIFFPicture;
+ (MLConstant *)Thursday;
+ (MLConstant *)Tuesday;
+ (MLConstant *)Wednesday;
+ (MLConstant *)account;
+ (MLConstant *)accountDirectory;
+ (MLConstant *)accountType;
+ (MLConstant *)address;
+ (MLConstant *)alias;
+ (MLConstant *)allConditionsMustBeMet;
+ (MLConstant *)allHeaders;
+ (MLConstant *)alwaysBccMyself;
+ (MLConstant *)alwaysCcMyself;
+ (MLConstant *)anything;
+ (MLConstant *)application;
+ (MLConstant *)applicationBundleID;
+ (MLConstant *)applicationSignature;
+ (MLConstant *)applicationURL;
+ (MLConstant *)applicationVersion;
+ (MLConstant *)attachment;
+ (MLConstant *)attributeRun;
+ (MLConstant *)authentication;
+ (MLConstant *)backgroundActivityCount;
+ (MLConstant *)backgroundColor;
+ (MLConstant *)bccRecipient;
+ (MLConstant *)best;
+ (MLConstant *)bigMessageWarningSize;
+ (MLConstant *)boolean;
+ (MLConstant *)boundingRectangle;
+ (MLConstant *)bounds;
+ (MLConstant *)ccRecipient;
+ (MLConstant *)centimeters;
+ (MLConstant *)character;
+ (MLConstant *)checkSpellingWhileTyping;
+ (MLConstant *)chooseSignatureWhenComposing;
+ (MLConstant *)classInfo;
+ (MLConstant *)class_;
+ (MLConstant *)closeable;
+ (MLConstant *)collating;
+ (MLConstant *)color;
+ (MLConstant *)colorMessage;
+ (MLConstant *)colorQuotedText;
+ (MLConstant *)colorTable;
+ (MLConstant *)compactMailboxesWhenClosing;
+ (MLConstant *)container;
+ (MLConstant *)content;
+ (MLConstant *)copies;
+ (MLConstant *)copyMessage;
+ (MLConstant *)cubicCentimeters;
+ (MLConstant *)cubicFeet;
+ (MLConstant *)cubicInches;
+ (MLConstant *)cubicMeters;
+ (MLConstant *)cubicYards;
+ (MLConstant *)dashStyle;
+ (MLConstant *)data;
+ (MLConstant *)date;
+ (MLConstant *)dateReceived;
+ (MLConstant *)dateSent;
+ (MLConstant *)decimalStruct;
+ (MLConstant *)defaultMessageFormat;
+ (MLConstant *)degreesCelsius;
+ (MLConstant *)degreesFahrenheit;
+ (MLConstant *)degreesKelvin;
+ (MLConstant *)delayedMessageDeletionInterval;
+ (MLConstant *)deleteMailOnServer;
+ (MLConstant *)deleteMessage;
+ (MLConstant *)deleteMessagesWhenMovedFromInbox;
+ (MLConstant *)deletedStatus;
+ (MLConstant *)deliveryAccount;
+ (MLConstant *)document;
+ (MLConstant *)doubleInteger;
+ (MLConstant *)downloadHtmlAttachments;
+ (MLConstant *)downloaded;
+ (MLConstant *)draftsMailbox;
+ (MLConstant *)elementInfo;
+ (MLConstant *)emailAddresses;
+ (MLConstant *)emptyJunkMessagesFrequency;
+ (MLConstant *)emptyJunkMessagesOnQuit;
+ (MLConstant *)emptySentMessagesFrequency;
+ (MLConstant *)emptySentMessagesOnQuit;
+ (MLConstant *)emptyTrashFrequency;
+ (MLConstant *)emptyTrashOnQuit;
+ (MLConstant *)enabled;
+ (MLConstant *)encodedString;
+ (MLConstant *)endingPage;
+ (MLConstant *)enumerator;
+ (MLConstant *)errorHandling;
+ (MLConstant *)eventInfo;
+ (MLConstant *)expandGroupAddresses;
+ (MLConstant *)expression;
+ (MLConstant *)extendedFloat;
+ (MLConstant *)faxNumber;
+ (MLConstant *)feet;
+ (MLConstant *)fetchInterval;
+ (MLConstant *)fetchesAutomatically;
+ (MLConstant *)fileName;
+ (MLConstant *)fileRef;
+ (MLConstant *)fileSpecification;
+ (MLConstant *)fileURL;
+ (MLConstant *)fixed;
+ (MLConstant *)fixedPoint;
+ (MLConstant *)fixedRectangle;
+ (MLConstant *)fixedWidthFont;
+ (MLConstant *)fixedWidthFontSize;
+ (MLConstant *)flaggedStatus;
+ (MLConstant *)float128bit;
+ (MLConstant *)float_;
+ (MLConstant *)floating;
+ (MLConstant *)font;
+ (MLConstant *)forwardMessage;
+ (MLConstant *)forwardText;
+ (MLConstant *)frameworkVersion;
+ (MLConstant *)frontmost;
+ (MLConstant *)fullName;
+ (MLConstant *)gallons;
+ (MLConstant *)grams;
+ (MLConstant *)graphicText;
+ (MLConstant *)header;
+ (MLConstant *)headerDetail;
+ (MLConstant *)highlightSelectedThread;
+ (MLConstant *)highlightTextUsingColor;
+ (MLConstant *)hostName;
+ (MLConstant *)id_;
+ (MLConstant *)imapAccount;
+ (MLConstant *)inbox;
+ (MLConstant *)inches;
+ (MLConstant *)includeAllOriginalMessageText;
+ (MLConstant *)includeWhenGettingNewMail;
+ (MLConstant *)index;
+ (MLConstant *)integer;
+ (MLConstant *)internationalText;
+ (MLConstant *)internationalWritingCode;
+ (MLConstant *)item;
+ (MLConstant *)junkMailStatus;
+ (MLConstant *)junkMailbox;
+ (MLConstant *)kernelProcessID;
+ (MLConstant *)kilograms;
+ (MLConstant *)kilometers;
+ (MLConstant *)ldapServer;
+ (MLConstant *)levelOneQuotingColor;
+ (MLConstant *)levelThreeQuotingColor;
+ (MLConstant *)levelTwoQuotingColor;
+ (MLConstant *)list;
+ (MLConstant *)liters;
+ (MLConstant *)locationReference;
+ (MLConstant *)longFixed;
+ (MLConstant *)longFixedPoint;
+ (MLConstant *)longFixedRectangle;
+ (MLConstant *)longPoint;
+ (MLConstant *)longRectangle;
+ (MLConstant *)machPort;
+ (MLConstant *)machine;
+ (MLConstant *)machineLocation;
+ (MLConstant *)mailAttachment;
+ (MLConstant *)mailbox;
+ (MLConstant *)mailboxListVisible;
+ (MLConstant *)markFlagged;
+ (MLConstant *)markRead;
+ (MLConstant *)message;
+ (MLConstant *)messageCaching;
+ (MLConstant *)messageFont;
+ (MLConstant *)messageFontSize;
+ (MLConstant *)messageId;
+ (MLConstant *)messageListFont;
+ (MLConstant *)messageListFontSize;
+ (MLConstant *)messageSignature;
+ (MLConstant *)messageSize;
+ (MLConstant *)messageViewer;
+ (MLConstant *)meters;
+ (MLConstant *)miles;
+ (MLConstant *)miniaturizable;
+ (MLConstant *)miniaturized;
+ (MLConstant *)missingValue;
+ (MLConstant *)modal;
+ (MLConstant *)modified;
+ (MLConstant *)moveDeletedMessagesToTrash;
+ (MLConstant *)moveMessage;
+ (MLConstant *)name;
+ (MLConstant *)newMailSound;
+ (MLConstant *)null;
+ (MLConstant *)ounces;
+ (MLConstant *)outbox;
+ (MLConstant *)outgoingMessage;
+ (MLConstant *)pagesAcross;
+ (MLConstant *)pagesDown;
+ (MLConstant *)paragraph;
+ (MLConstant *)parameterInfo;
+ (MLConstant *)path;
+ (MLConstant *)pixelMapRecord;
+ (MLConstant *)playSound;
+ (MLConstant *)point;
+ (MLConstant *)popAccount;
+ (MLConstant *)port;
+ (MLConstant *)pounds;
+ (MLConstant *)previewPaneIsVisible;
+ (MLConstant *)primaryEmail;
+ (MLConstant *)printSettings;
+ (MLConstant *)processSerialNumber;
+ (MLConstant *)properties;
+ (MLConstant *)property;
+ (MLConstant *)propertyInfo;
+ (MLConstant *)qualifier;
+ (MLConstant *)quarts;
+ (MLConstant *)quoteOriginalMessage;
+ (MLConstant *)readStatus;
+ (MLConstant *)recipient;
+ (MLConstant *)record;
+ (MLConstant *)redirectMessage;
+ (MLConstant *)reference;
+ (MLConstant *)replyText;
+ (MLConstant *)replyTo;
+ (MLConstant *)requestedPrintTime;
+ (MLConstant *)resizable;
+ (MLConstant *)rotation;
+ (MLConstant *)rule;
+ (MLConstant *)ruleCondition;
+ (MLConstant *)ruleType;
+ (MLConstant *)runScript;
+ (MLConstant *)sameReplyFormat;
+ (MLConstant *)scope;
+ (MLConstant *)script;
+ (MLConstant *)searchBase;
+ (MLConstant *)selectedMailboxes;
+ (MLConstant *)selectedMessages;
+ (MLConstant *)selectedSignature;
+ (MLConstant *)selection;
+ (MLConstant *)sender;
+ (MLConstant *)sentMailbox;
+ (MLConstant *)serverName;
+ (MLConstant *)shortFloat;
+ (MLConstant *)shortInteger;
+ (MLConstant *)shouldCopyMessage;
+ (MLConstant *)shouldMoveMessage;
+ (MLConstant *)shouldPlayOtherMailSounds;
+ (MLConstant *)showOnlineBuddyStatus;
+ (MLConstant *)signature;
+ (MLConstant *)size;
+ (MLConstant *)smtpServer;
+ (MLConstant *)sortColumn;
+ (MLConstant *)sortedAscending;
+ (MLConstant *)source;
+ (MLConstant *)squareFeet;
+ (MLConstant *)squareKilometers;
+ (MLConstant *)squareMeters;
+ (MLConstant *)squareMiles;
+ (MLConstant *)squareYards;
+ (MLConstant *)startingPage;
+ (MLConstant *)stopEvaluatingRules;
+ (MLConstant *)storeDeletedMessagesOnServer;
+ (MLConstant *)storeDraftsOnServer;
+ (MLConstant *)storeJunkMailOnServer;
+ (MLConstant *)storeSentMessagesOnServer;
+ (MLConstant *)string;
+ (MLConstant *)styledClipboardText;
+ (MLConstant *)styledText;
+ (MLConstant *)subject;
+ (MLConstant *)suiteInfo;
+ (MLConstant *)targetPrinter;
+ (MLConstant *)text;
+ (MLConstant *)textStyleInfo;
+ (MLConstant *)titled;
+ (MLConstant *)toRecipient;
+ (MLConstant *)trashMailbox;
+ (MLConstant *)typeClass;
+ (MLConstant *)unicodeText;
+ (MLConstant *)unreadCount;
+ (MLConstant *)unsignedInteger;
+ (MLConstant *)useAddressCompletion;
+ (MLConstant *)useFixedWidthFont;
+ (MLConstant *)userName;
+ (MLConstant *)usesSsl;
+ (MLConstant *)utf16Text;
+ (MLConstant *)utf8Text;
+ (MLConstant *)version;
+ (MLConstant *)version_;
+ (MLConstant *)visible;
+ (MLConstant *)visibleColumns;
+ (MLConstant *)visibleMessages;
+ (MLConstant *)wasForwarded;
+ (MLConstant *)wasRedirected;
+ (MLConstant *)wasRepliedTo;
+ (MLConstant *)window;
+ (MLConstant *)word;
+ (MLConstant *)writingCode;
+ (MLConstant *)yards;
+ (MLConstant *)zoomable;
+ (MLConstant *)zoomed;
@end

